Subject: Re: [PATCH 1/2] Make section_name_match start on '[', and return the length on success

From: Alex Vandiver <[email-masked]>
Date: Sat, 25 Jul 2009 13:18:52 -0400

At Sat Jul 25 10:09:56 -0400 2009, Johannes Schindelin wrote:
> Is this not unnecessary, given that we  only call that function when we 
> know that buf[0] == '[':

Yes.  However, given that I had changed the calling convention for the
code, (it used to be passed the string starting just _inside_ the
'['), I wanted to make the new calling convention clearer, and catch
any places that were using the old convention.

I'm happy to submit a new version without it, if you wish.

> I was a bit surprised that "offset" is not used further in your patch, but 
> I saw that 2/2 uses it.

Yeah, this hunk should probably have gone in 2/2 instead.
 - Alex
-- 
Networking -- only one letter away from not working